[package]
name = "ostp-guard"
version.workspace = true
edition.workspace = true
description = "OSTP Anti-Reverse Engineering & Protection Module"

[dependencies]
rand.workspace = true
tokio.workspace = true
tracing.workspace = true
num_cpus = "1.16"

[target.'cfg(windows)'.dependencies]
winapi = { version = "0.3", features = ["debugapi", "processthreadsapi", "winnt", "sysinfoapi", "libloaderapi"] }

[target.'cfg(unix)'.dependencies]
libc = "0.2"
